<?php

namespace App\Modules\Lead\Application\Delete;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class LeadDeleterQuery implements Query
{
    public function __construct(
        private int $id
    ) {
    }

    public function getId(): string
    {
        return $this->id;
    }
}
